<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionFillObject Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d55/class_action_fill_object.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ActionFillObject Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionFillObject:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d0/d55/class_action_fill_object.png" usemap="#ActionFillObject_map" alt=""/>
  <map id="ActionFillObject_map" name="ActionFillObject_map">
<area href="../../d6/d3f/class_action_continuous_base.html" alt="ActionContinuousBase" shape="rect" coords="0,0,139,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:abd7ec733c3578521d3310a0efd6a8731"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d55/class_action_fill_object.html#abd7ec733c3578521d3310a0efd6a8731">ActionFillObject</a> ()</td></tr>
<tr class="separator:abd7ec733c3578521d3310a0efd6a8731"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadc64919d863f001cefe3492217da5c2"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d55/class_action_fill_object.html#aadc64919d863f001cefe3492217da5c2">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:aadc64919d863f001cefe3492217da5c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1de2ff04b1b08faeec2ea581cdb64fc0"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d55/class_action_fill_object.html#a1de2ff04b1b08faeec2ea581cdb64fc0">OnActionInfoUpdate</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a1de2ff04b1b08faeec2ea581cdb64fc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59f07e18448850aa54d7866e18554633"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d55/class_action_fill_object.html#a59f07e18448850aa54d7866e18554633">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a59f07e18448850aa54d7866e18554633"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16794de82f231f83f8154f8e44437d84"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d55/class_action_fill_object.html#a16794de82f231f83f8154f8e44437d84">OnFinishProgressServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a16794de82f231f83f8154f8e44437d84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae29d3a285af2f4e0073b380818921366"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d55/class_action_fill_object.html#ae29d3a285af2f4e0073b380818921366">OnFinishProgressClient</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:ae29d3a285af2f4e0073b380818921366"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ae5111cbb383b7c6a533e8f79ce3f17ea"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d55/class_action_fill_object.html#ae5111cbb383b7c6a533e8f79ce3f17ea">m_ActionState</a></td></tr>
<tr class="separator:ae5111cbb383b7c6a533e8f79ce3f17ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a291db34133b27bc5dc1f3e601ad96f78"><td class="memItemLeft" align="right" valign="top">protected const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d55/class_action_fill_object.html#a291db34133b27bc5dc1f3e601ad96f78">EMPTY</a> = 0</td></tr>
<tr class="separator:a291db34133b27bc5dc1f3e601ad96f78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0770302de174d4bbb2c965dfb3514b6"><td class="memItemLeft" align="right" valign="top">protected const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d55/class_action_fill_object.html#ab0770302de174d4bbb2c965dfb3514b6">FILLED</a> = 1</td></tr>
<tr class="separator:ab0770302de174d4bbb2c965dfb3514b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dd/d93/_action_fill_object_8c_source.html#l00009">9</a> of file <a class="el" href="../../dd/d93/_action_fill_object_8c_source.html">ActionFillObject.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="abd7ec733c3578521d3310a0efd6a8731" name="abd7ec733c3578521d3310a0efd6a8731"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd7ec733c3578521d3310a0efd6a8731">&#9670;&#160;</a></span>ActionFillObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionFillObject::ActionFillObject </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d93/_action_fill_object_8c_source.html#l00016">16</a> of file <a class="el" href="../../dd/d93/_action_fill_object_8c_source.html">ActionFillObject.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a59f07e18448850aa54d7866e18554633" name="a59f07e18448850aa54d7866e18554633"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59f07e18448850aa54d7866e18554633">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionFillObject::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d93/_action_fill_object_8c_source.html#l00046">46</a> of file <a class="el" href="../../dd/d93/_action_fill_object_8c_source.html">ActionFillObject.c</a>.</p>

</div>
</div>
<a id="aadc64919d863f001cefe3492217da5c2" name="aadc64919d863f001cefe3492217da5c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadc64919d863f001cefe3492217da5c2">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionFillObject::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d93/_action_fill_object_8c_source.html#l00025">25</a> of file <a class="el" href="../../dd/d93/_action_fill_object_8c_source.html">ActionFillObject.c</a>.</p>

</div>
</div>
<a id="a1de2ff04b1b08faeec2ea581cdb64fc0" name="a1de2ff04b1b08faeec2ea581cdb64fc0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1de2ff04b1b08faeec2ea581cdb64fc0">&#9670;&#160;</a></span>OnActionInfoUpdate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionFillObject::OnActionInfoUpdate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d93/_action_fill_object_8c_source.html#l00032">32</a> of file <a class="el" href="../../dd/d93/_action_fill_object_8c_source.html">ActionFillObject.c</a>.</p>

</div>
</div>
<a id="ae29d3a285af2f4e0073b380818921366" name="ae29d3a285af2f4e0073b380818921366"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae29d3a285af2f4e0073b380818921366">&#9670;&#160;</a></span>OnFinishProgressClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionFillObject::OnFinishProgressClient </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d93/_action_fill_object_8c_source.html#l00094">94</a> of file <a class="el" href="../../dd/d93/_action_fill_object_8c_source.html">ActionFillObject.c</a>.</p>

</div>
</div>
<a id="a16794de82f231f83f8154f8e44437d84" name="a16794de82f231f83f8154f8e44437d84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16794de82f231f83f8154f8e44437d84">&#9670;&#160;</a></span>OnFinishProgressServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionFillObject::OnFinishProgressServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d93/_action_fill_object_8c_source.html#l00072">72</a> of file <a class="el" href="../../dd/d93/_action_fill_object_8c_source.html">ActionFillObject.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a291db34133b27bc5dc1f3e601ad96f78" name="a291db34133b27bc5dc1f3e601ad96f78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a291db34133b27bc5dc1f3e601ad96f78">&#9670;&#160;</a></span>EMPTY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionFillObject::EMPTY = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d93/_action_fill_object_8c_source.html#l00013">13</a> of file <a class="el" href="../../dd/d93/_action_fill_object_8c_source.html">ActionFillObject.c</a>.</p>

</div>
</div>
<a id="ab0770302de174d4bbb2c965dfb3514b6" name="ab0770302de174d4bbb2c965dfb3514b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0770302de174d4bbb2c965dfb3514b6">&#9670;&#160;</a></span>FILLED</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionFillObject::FILLED = 1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d93/_action_fill_object_8c_source.html#l00014">14</a> of file <a class="el" href="../../dd/d93/_action_fill_object_8c_source.html">ActionFillObject.c</a>.</p>

</div>
</div>
<a id="ae5111cbb383b7c6a533e8f79ce3f17ea" name="ae5111cbb383b7c6a533e8f79ce3f17ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5111cbb383b7c6a533e8f79ce3f17ea">&#9670;&#160;</a></span>m_ActionState</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionFillObject::m_ActionState</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d93/_action_fill_object_8c_source.html#l00011">11</a> of file <a class="el" href="../../dd/d93/_action_fill_object_8c_source.html">ActionFillObject.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/<a class="el" href="../../dd/d93/_action_fill_object_8c_source.html">ActionFillObject.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d0/d55/class_action_fill_object.html">ActionFillObject</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
